Bug 136427 - selinux-apache-fc3 tracker bug
selinux-apache-fc3 tracker bug
Status: CLOSED NOTABUG
Product: Fedora Documentation
Classification: Fedora
Component: selinux-apache (Show other bugs)
devel
All Linux
medium Severity medium
: ---
: ---
Assigned To: Colin Walters
Tammy Fox
checkRelevance
: Documentation, SELinux
Depends On: 139744 151206
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-19 19:19 EDT by Colin Walters
Modified: 2008-09-08 15:53 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-08 15:53:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
tarball of selinux-apache guide (12.14 KB, application/x-bzip)
2004-10-26 23:58 EDT, Colin Walters
no flags Details
updates to document, editing, markup formatting (48.29 KB, text/plain)
2004-11-11 06:13 EST, Karsten Wade
no flags Details
patch for guide from Thomas Stichele (3.17 KB, patch)
2004-11-11 13:37 EST, Colin Walters
no flags Details | Diff
completely edited document, ready for beta release, however see further comments (52.46 KB, text/plain)
2004-11-16 16:56 EST, Karsten Wade
no flags Details
patch against current CVS based on XML from attachment #106848 (71.35 KB, patch)
2004-11-16 16:58 EST, Karsten Wade
no flags Details | Diff

  None (edit)
Description Colin Walters 2004-10-19 19:19:47 EDT
Description of problem:

We really need a document describing how to use the Apache policy on
Fedora.  I'm in the process of writing one.
Comment 1 Colin Walters 2004-10-26 11:08:01 EDT
A rough draft is available here:
http://people.redhat.com/walters/selinux-apache-en/

I'll update the .xml too.
Comment 2 Colin Walters 2004-10-26 23:58:04 EDT
Ok, here is a version which I think is ready for review.
Comment 3 Colin Walters 2004-10-26 23:58:49 EDT
Created attachment 105822 [details]
tarball of selinux-apache guide
Comment 4 Colin Walters 2004-11-09 15:34:58 EST
Need to add a bit to the guide about common problem cases, such as trying to
serve web pages out of /opt/website (e.g. default_t)
Comment 5 Karsten Wade 2004-11-11 06:10:54 EST
The attachment following this covers a number of things.  Running a
diff against the previously attached version will reveal the extent of
changes.

* Changed ID attributes to (current) FDP standards.
* <sectn> --> <section>, as per FDP standards.
* New entities make version fun easier.
* Apache HTTP Server is the official name, and is how it is used in
the RHEL guides.
* Some writing adjustments to the first two sections.

More editing to come. :)
Comment 6 Karsten Wade 2004-11-11 06:13:41 EST
Created attachment 106486 [details]
updates to document, editing, markup formatting

This does obsolete attachment 105822 [details], but does not include the Makefile.
Comment 7 Colin Walters 2004-11-11 13:37:49 EST
Created attachment 106517 [details]
patch for guide from Thomas Stichele
Comment 8 Colin Walters 2004-11-11 13:53:54 EST
Coo, thanks for reviewing Karsten.  Can we get this in the fedora CVS
so we can get these patches committed and have a centralized place to
work on it?
Comment 9 Karsten Wade 2004-11-11 14:22:47 EST
Good suggestion, forgot about that.

rhlinux.redhat.com:/usr/local/CVS/fedora-docs/selinux-apache/

Not the greatest module name, but it'll do. :)

I presume you can get yourself access, if you don't already.  I'll let
you merge the patches.
Comment 10 Karsten Wade 2004-11-16 16:56:08 EST
Created attachment 106848 [details]
completely edited document, ready for beta release, however see further comments

This is a big difference compared to the original.  One of the main things
changed was the case used throughout; as per RH docs tradition and upcoming
Fedora docs style guidelines, I tried to change wording to the active case,
focusing entirely on the reader (you).	Other changes should be obvious. 
Please review and let me know any questions.  When you (Colin) are happy, we
can post this to fedora.r.c/docs soonest; I have the capabilities and people
permissions.

I will follow this with a diff against current CVS, based on my XML file,
mainly to make this bug report more useful.

Colin, do you want to handle merging the patches and your changes?  I did -not-
include Thomas Stichele's patch in my work.
Comment 11 Karsten Wade 2004-11-16 16:58:00 EST
Created attachment 106849 [details]
patch against current CVS based on XML from attachment #106848 [details]
Comment 12 Karsten Wade 2004-11-16 17:39:16 EST
Just to set the record straight, attachment #106849 [details] was a cvs diff -du
against 1.1, not current CVS (1.5).  FYI. :)
Comment 13 Colin Walters 2004-11-16 17:53:50 EST
Doing a merge now, about 40% done.
Comment 14 Colin Walters 2004-11-16 19:01:06 EST
Comment on attachment 106849 [details]
patch against current CVS based on XML from attachment #106848 [details]

Ok, this patch has been applied.
Comment 15 Colin Walters 2004-11-17 14:42:24 EST
This guide is live now, so I'm turning this bug into a tracker for
bugs related to the guide.
Comment 16 Matěj Cepl 2008-09-05 15:33:55 EDT
Just a question from your friendly bugmaster -- is this bug still relevant or should it be closed as obsolete?
Comment 17 Colin Walters 2008-09-08 15:53:38 EDT
This document is not going to have bugs fixed by me at least - if someone wants to revisit it (which I think would be useful) we can reopen a new bug.

Note You need to log in before you can comment on or make changes to this bug.